> # NAME

> TextureEnvColor - 3D API texture env color

> # USAGE

> TextureEnvColor[i] = float4(r, g, b, a)

> # VALID ENUMERANTS

> r, g, b, a: floating point values

> # DESCRIPTION

> Specify the color used for multiple-texture blending. See the GL_TEXTURE_ENV_COLOR description on the OpenGL glTexEnv manual page for details. See the D3DRS_TEXTUREFACTOR render state description and the D3DTSS_COLORARG2 texture stage description for details.

> The standard reset callback sets the TextureEnvColor[i] state to float4(0, 0, 0, 0).

> # OPENGL FUNCTIONALITY REQUIREMENTS

> OpenGL 1.0

> # DIRECT3D FUNCTIONALITY REQUIREMENTS

> DirectX 9

> # SEE ALSO

> Texture1DEnable, Texture2DEnable, Texture3DEnable, TextureCubeMapEnable, TextureRectangleEnable, Texture1D, Texture2D, Texture3D, TextureCubeMap, TextureRectangle, TextureEnvMode, TextureFactor, TextureMatrix, TextureTransform, TextureTransformFlags